
Member Nodes - MNDeployment #7051

GRIIDC - Gulf of Mexico Research Initiative

2015-04-17 19:51 - Laura Moyers

Status: Operational Start date: 2016-05-10

Priority: Normal Due date:  

Assignee: Laura Moyers % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 27.80 MN_Date_Online: 2017-01-20

Longitude: -97.40 Name:  

MN Description: The Gulf of Mexico Research Initiative

Information and Data Cooperative

(GRIIDC) was established in 2011 to

make all data acquired through the Gulf

of Mexico Research Initiative (GoMRI)

publicly available. The GoMRI is a 10

year, independent research program to

improve society’s ability to understand

and mitigate the impacts of hydrocarbon

pollution and stressors on the marine

environment. The GRIIDC data collection

will continue to grow through new

partnerships with RESTORE Act Centers

of Excellence. Data within GRIIDC have

been produced through laboratory, field,

and modeling activities describing

phenomenon ranging from microscopic

fluid dynamics to large-scale ocean

currents, bacteria to marine mammals,

and detailed field observations to

synoptic mapping.

Logo URL:  

Base URL: https://data.gulfresearchinitiative.org/ Date Upcoming:  

NodeIdentifier: urn:node:GRIIDC Date Deprecated:  

MN Tier: Tier 1 Information URL:  

Software stack: GMN Version:  

Description

The Gulf of Mexico Research Initiative Information and Data Cooperative (GRIIDC) is the vehicle by which all data collected or

generated through the agreement between BP and the Gulf of Mexico Alliance is made available to the public.

See https://data.gulfresearchinitiative.org

POC Felimon Gayanilo - Felimon.Gayanilo@tamucc.edu - at Texas A&M

Initial meeting Wednesday, 4/22/15

Subtasks:

Task # 7775: GRIIDC: Join DataONE Closed

Task # 7776: GRIIDC: Scope the implementation Closed

Task # 7777: GRIIDC: Plan the implementation Closed

Task # 7778: GRIIDC: Design, code and component test a new MN implementation Closed

Task # 7779: GRIIDC: Implement search index and display support for any new metadata fo... Closed

Task # 7780: GRIIDC: Register any new object formats in all environments Closed

Task # 7781: GRIIDC: Local Testing Closed

Task # 7782: GRIIDC: Establish DataONE user identity in Testing Environment Closed

Task # 7783: GRIIDC: Configure SSL Certificates for Testing Environment Closed
Task # 7784: GRIIDC: Verify MN Content and Services in Testing Environment Closed

Task # 7785: GRIIDC: Register MN in Testing Environment Closed

Task # 7786: GRIIDC: Verify CN Content and Services in Testing Environment Closed

Task # 7787: GRIIDC: Check Authentication and Authorization in Testing Environment Closed

Task # 7788: GRIIDC: Show MN as "upcoming" on the dashboard Closed

Task # 7789: GRIIDC: Establish DataONE user identity in Production Closed

Task # 7790: GRIIDC: Configure SSL Certificates for Production Closed

Task # 7791: GRIIDC: Verify MN Content and Services in Production Closed

Task # 7792: GRIIDC: Register MN in Production Closed

Task # 7793: GRIIDC: Verify CN Content and Services in Production Closed

Task # 7794: GRIIDC: Check Authentication and Authorization in Production Closed

Task # 7795: GRIIDC: Mutual acceptance Closed

Task # 7796: GRIIDC: Ensure MN appears on Current MNs webpage (dashboard) Closed

Task # 7797: GRIIDC: Document and Announce Closed

Support # 8243: The GRIIDC production MN is not functional and will not start with Apache2 Closed

Support # 8484: Assisting GRIIDC (Joe Holland) with deploying GMN in new virtual server... Closed

Task # 8679: GRIIDC- GMN upgrade from 2.4.2 to 3.0.4 Closed

Related issues:

Related to Member Nodes - Support #8021: GRIIDC - Setting up a Test Server an... Closed 2017-02-15

Related to Member Nodes - Task #8029: GRIIDC - delete PIDs added in error Closed 2017-03-01

History

#1 - 2015-06-11 11:46 - Laura Moyers

- Base URL set to https://data.gulfresearchinitiative.org/

- MN Tier set to Tier 3

- NodeIdentifier set to urn:node:GRIIDC

- Status changed from New to Planning

- Target version set to In Progress

- % Done changed from 0 to 10

- Latitude set to 27.80

- Longitude set to -97.40

Meeting 6/11/15 with Joe Holland and others at TAMUCC (Texas A&M at Corpus Christi) to discuss technical details of a possible implementation of

a MN at GRIIDC.  See notes at https://epad.dataone.org/pad/p/GRIIDC_and_DataONE.  It appears that technically (and to an extent organizationally),

GRIIDC would work like LTER.  GRIIDC evaluating feasibility of this effort. 

They are in the midst of some refactoring of their operations with expected completion within the year.  We discussed whether it would be better to

hold off on active MN development until after all the internal changes are complete.  We think we can proceed with MN development while the other

activities are in process.

#2 - 2015-09-01 02:33 - Laura Moyers

- Target version changed from In Progress to Deploy by end of Y2Q3

Joe Holland advised in an email 8/31/15 that this effort is on GRIIDC's schedule for March 2016 (or later).

#3 - 2016-03-31 17:39 - Laura Moyers

Effort has resumed on GRIIDC MN planning/development.  Joe would like to set up a GMN on CentOS, but we don't currently support that.  We've put

Joe and Ed Flathers at NKN in contact with each other (NKN runs Red Hat).

Joe indicated that they would like to have something in production  by 1 July 2016.  
#4 - 2016-05-10 01:09 - Laura Moyers

- File GRIIDC logo.jpg added

#5 - 2016-06-02 00:50 - Laura Moyers

- % Done changed from 10 to 50

- Status changed from Planning to Testing

Currently, Joe is working on the adapter for the GRIIDC GMN.  GRIIDC is registered in the stage environment but not ready for approval.  Joe, Mark,

Roger and Laura met 5/25/16 to discuss some of the current GMN adapters (NCEI, LTER) and to answer Joe's initial questions.

#6 - 2016-06-15 19:25 - Laura Moyers

- Target version changed from Deploy by end of Y2Q3 to Deploy by end of Y2Q4

#7 - 2016-08-25 21:45 - Laura Moyers

- MN Description set to The Master Research Agreement between BP and the Gulf of Mexico Alliance that established the Gulf of Mexico Research

Initiative (GoMRI) included provisions that all data collected or generated through the agreement must be made available to the public. The Gulf of

Mexico Research Initiative Information and Data Cooperative (GRIIDC) is the vehicle through which GoMRI is fulfilling this requirement.

- Software stack set to GMN

#8 - 2016-08-26 23:47 - Laura Moyers

- MN Description changed from The Master Research Agreement between BP and the Gulf of Mexico Alliance that established the Gulf of Mexico

Research Initiative (GoMRI) included provisions that all data collected or generated through the agreement must be made available to the public. The

Gulf of Mexico Research Initiative Information and Data Cooperative (GRIIDC) is the vehicle through which GoMRI is fulfilling this requirement. to The

Gulf of Mexico Research Initiative Information and Data Cooperative (GRIIDC) was established in 2011 to make all data acquired through the Gulf of

Mexico Research Initiative (GoMRI) publicly available. The GoMRI is a 10 year, independent research program to improve society’s ability to

understand and mitigate the impacts of hydrocarbon pollution and stressors on the marine environment. The GRIIDC data collection will continue to

grow through new partnerships with RESTORE Act Centers of Excellence. Data within GRIIDC have been produced through laboratory, field, and

modeling activities describing phenomenon ranging from microscopic fluid dynamics to large-scale ocean currents, bacteria to marine mammals, and

detailed field observations to synoptic mapping.

#9 - 2016-09-27 15:55 - Laura Moyers

- Target version changed from Deploy by end of Y2Q4 to Deploy by end of Y3Q1

#10 - 2016-12-09 19:56 - Laura Moyers

- Status changed from Testing to In Review

- MN Tier changed from Tier 3 to Tier 1

- % Done changed from 50 to 80

GRIIDC has been in production for several days.  Synchronization appears to be working mostly ok, but there is a serious lag in the indexing process.

Current status as of 12/9/16 3pET:

MN:  1127 objects

CN:  1111 objects

indexed:  737 objects

2024-03-13 3/4



#11 - 2017-01-10 19:27 - Laura Moyers

As of 10 January 2017, there are 1164 objects on the MN, 1160 on the CN, but only 1145 objects indexed.  Laura investigating.  

Mark also identified 4 objects which needed attention from Joe (possibly the 4 between the MN and CN??).

#12 - 2017-01-20 18:02 - Laura Moyers

- Target version changed from Deploy by end of Y3Q1 to Operational

- MN_Date_Online set to 2017-01-20

- Status changed from In Review to Operational

Announced 20 January 2017:  https://www.dataone.org/news/gulf-mexico-research-initiative-information-griidc-joins-dataone

#13 - 2017-02-15 18:11 - Monica Ihli

- Related to Support #8021: GRIIDC - Setting up a Test Server and Interested in using GMN2 added

#14 - 2017-03-01 17:10 - Laura Moyers

- Related to Task #8029: GRIIDC - delete PIDs added in error added

#15 - 2018-01-09 20:55 - Dave Vieglais

- Sprint set to Ongoing Operational

#16 - 2018-01-22 18:32 - Amy Forrester

edpad Notes consolidation

9/20/2017: Last communication with Joe was in regard to moving current production GMN to new server; we provided stepwise instructions and Joe

will let us know how it goes. 

11/20:Joe still working on changes to his adapter. Not expected to be responsive till post-hurricane recovery is accounted for. Issue appears to be

related to incorrect version of config.

12/18:  Status quo

1/8/2018: Joe is ready to engage this week with Roger as availability of each permits.

Files

GRIIDC logo.jpg 7.38 KB 2016-05-10 Laura Moyers
